/*
 * Handles Prolog rules.
 */

package checkpolicy.prolog;

import checkpolicy.util.*;

import java.util.*;

public abstract class Rule
{
    
    // Attributes
    private String functor = "";
    private String[] arguments = null;
    
    // Accessors
    public String getFunctor()
    {
        return functor;
    }

    public void setFunctor(String functor)
    {
        this.functor = functor;
    }

    public String[] getArguments()
    {
        return arguments;
    }

    public void setArguments(String[] arguments)
    {
        this.arguments = arguments;
    }
    
    @Override
    public abstract String toString();
}
